Skip to main content
GET
/
v1
/
intent
/
audiences
/
{id}
Get a single saved audience by ID
curl --request GET \
  --url https://api.aws53.cloud/v1/intent/audiences/{id} \
  --header 'X-API-Key: <api-key>'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "status": "draft",
    "config": {
      "topicIds": [
        123
      ],
      "minScore": 50,
      "maxScore": 50,
      "minTopicOverlap": 5,
      "filters": {
        "companyIndustry": [
          "<string>"
        ],
        "seniority": [
          "<string>"
        ],
        "companySize": [
          "<string>"
        ],
        "department": [
          "<string>"
        ],
        "state": "<string>",
        "companyRevenueRange": [
          "<string>"
        ],
        "ageRange": [
          "<string>"
        ],
        "gender": "<string>",
        "isB2b": "y",
        "jobTitle": "<string>",
        "hasBusinessEmail": true,
        "hasPersonalEmail": true,
        "hasLinkedin": true,
        "hasPhone": true,
        "companyDomain": "<string>",
        "companyName": "<string>"
      },
      "sourceUrl": "<string>"
    },
    "topics": [
      {
        "id": 123,
        "name": "<string>"
      }
    ],
    "audienceSize": 123,
    "lastRefreshedAt": "<string>",
    "createdAt": "<string>",
    "updatedAt": "<string>"
  }
}

Authorizations

X-API-Key
string
header
required

Organization API key (sk_...). Get yours from Settings > API Keys in the dashboard.

Path Parameters

id
string<uuid>
required

Response

Audience details

data
object
required